SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java SE Vendors:   Oracle, Sun
(Red Hat Issues Fix) Oracle Java SE Multiple Flaws Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Let Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1040253
SecurityTracker URL:  http://securitytracker.com/id/1040253
CVE Reference:   CVE-2018-2579, CVE-2018-2581, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2627, CVE-2018-2629, CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2638, CVE-2018-2639, CVE-2018-2641, CVE-2018-2663, CVE-2018-2677, CVE-2018-2678   (Links to External Site)
Date:  Jan 19 2018
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6u171, 7u161, 8u152, 9.0.1
Description:   Multiple vulnerabilities were reported in Oracle Java SE. A remote or local user can obtain elevated privileges on the target system. A remote user can access and modify data on the target system. A remote user can cause denial of service conditions on the target system.

A remote user can exploit a flaw in the Java SE Deployment component to gain elevated privileges [CVE-2018-2638, CVE-2018-2639].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to gain elevated privileges [CVE-2018-2633].

A local user can exploit a flaw in the Java SE Installer component to gain elevated privileges [CVE-2018-2627].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JMX component to access and modify data [CVE-2018-2637].

A remote user can exploit a flaw in the Java SE, Java SE Embedded JGSS component to access data [CVE-2018-2634].

A remote user can exploit a flaw in the Java SE, Java SE Embedded Hotspot component to modify data [CVE-2018-2582].

A remote user can exploit a flaw in the Java SE, Java SE Embedded AWT component to modify data [CVE-2018-2641].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JCE component to access data [CVE-2018-2618].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JGSS component to modify data [CVE-2018-2629].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to cause partial denial of service conditions [CVE-2018-2603].

A remote user can exploit a flaw in the Java SE, JRockit Serialization component to cause partial denial of service conditions [CVE-2018-2657].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to partially modify data and cause partial denial of service conditions [CVE-2018-2599].

A remote user can exploit a flaw in the Java SE JavaFX component to partially access data [CVE-2018-2581].

A local user can exploit a flaw in the Java SE, Java SE Embedded I18n component to partially access data, partially modify data, and partially deny service [CVE-2018-2602].

A remote user can exploit a flaw in the Java SE, Java SE Embedded AWT component to cause partial denial of service conditions [CVE-2018-2677].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to cause partial denial of service conditions [CVE-2018-2678].

A remote authenticated user can exploit a flaw in the Java SE, Java SE Embedded, JRockit LDAP component to partially access data [CVE-2018-2588].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to cause partial denial of service conditions [CVE-2018-2663].

A remote user can exploit a flaw in the Java Advanced Management Console Server component to partially access data [CVE-2018-2675].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to partially access data [CVE-2018-2579].

Moritz Bechler, Michal Rydlo, Greg Hudson of MIT Kerberos team, Allen Reese, Apostolos Giannakidis of Waratek, and Matej Tymes reported these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A remote user can modify data on the target system.

A remote user can cause denial of service conditions.

A local user can obtain elevated privileges on the target system.

A remote user can gain elevated privileges on the target system.

Solution:   Red Hat has issued a fix for CVE-2018-2579, CVE-2018-2581, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2627, CVE-2018-2629, CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2638, CVE-2018-2639, CVE-2018-2641, CVE-2018-2663, CVE-2018-2677, and CVE-2018-2678 for java-1.8.0-oracle.

The Red Hat advisory is available at:

https://access.redhat.com/errata/RHSA-2018:0099

Vendor URL:  access.redhat.com/errata/RHSA-2018:0099 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Jan 17 2018 Oracle Java SE Multiple Flaws Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Let Local Users Gain Elevated Privileges



 Source Message Contents

Subject:  [RHSA-2018:0099-01] Critical: java-1.8.0-oracle security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: java-1.8.0-oracle security update
Advisory ID:       RHSA-2018:0099-01
Product:           Oracle Java for Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2018:0099
Issue date:        2018-01-18
CVE Names:         CVE-2018-2579 CVE-2018-2581 CVE-2018-2582 
                   CVE-2018-2588 CVE-2018-2599 CVE-2018-2602 
                   CVE-2018-2603 CVE-2018-2618 CVE-2018-2627 
                   CVE-2018-2629 CVE-2018-2633 CVE-2018-2634 
                   CVE-2018-2637 CVE-2018-2638 CVE-2018-2639 
                   CVE-2018-2641 CVE-2018-2663 CVE-2018-2677 
                   CVE-2018-2678 
=====================================================================

1. Summary:

An update for java-1.8.0-oracle is now available for Oracle Java for Red
Hat Enterprise Linux 6 and Oracle Java for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Critical. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Oracle Java for Red Hat Enterprise Linux Client (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Compute Node (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Desktop 6 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux HPC Node 6 - x86_64
Oracle Java for Red Hat Enterprise Linux Server (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Server 6 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Workstation (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Workstation 6 - i386, x86_64

3. Description:

Oracle Java SE version 8 includes the Oracle Java Runtime Environment and
the Oracle Java Software Development Kit.

This update upgrades Oracle Java SE 8 to version 8 Update 161.

Security Fix(es):

* This update fixes multiple vulnerabilities in the Oracle Java Runtime
Environment and the Oracle Java Software Development Kit. Further
information about these flaws can be found on the Oracle Java SE Critical
Patch Update Advisory page listed in the References section.
(CVE-2018-2579, CVE-2018-2581, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599,
CVE-2018-2602, CVE-2018-2603, CVE-2018-2618, CVE-2018-2627, CVE-2018-2629,
CVE-2018-2633, CVE-2018-2634, CVE-2018-2637, CVE-2018-2638, CVE-2018-2639,
CVE-2018-2641, CVE-2018-2663, CVE-2018-2677, CVE-2018-2678)

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

All running instances of Oracle Java must be restarted for this update to
take effect.

5. Bugs fixed (https://bugzilla.redhat.com/):

1534263 - CVE-2018-2678 OpenJDK: unbounded memory allocation in BasicAttributes deserialization (JNDI, 8191142)
1534288 - CVE-2018-2677 OpenJDK: unbounded memory allocation during deserialization (AWT, 8190289)
1534296 - CVE-2018-2663 OpenJDK: ArrayBlockingQueue deserialization to an inconsistent state (Libraries, 8189284)
1534298 - CVE-2018-2579 OpenJDK: unsynchronized access to encryption key data (Libraries, 8172525)
1534299 - CVE-2018-2588 OpenJDK: LdapLoginModule insufficient username encoding in LDAP query (LDAP, 8178449)
1534525 - CVE-2018-2602 OpenJDK: loading of classes from untrusted locations (I18n, 8182601)
1534543 - CVE-2018-2599 OpenJDK: DnsClient missing source port randomization (JNDI, 8182125)
1534553 - CVE-2018-2603 OpenJDK: DerValue unbounded memory allocation (Libraries, 8182387)
1534625 - CVE-2018-2629 OpenJDK: GSS context use-after-free (JGSS, 8186212)
1534762 - CVE-2018-2618 OpenJDK: insufficient strength of key agreement (JCE, 8185292)
1534766 - CVE-2018-2641 OpenJDK: GTK library loading use-after-free (AWT, 8185325)
1534768 - CVE-2018-2582 OpenJDK: insufficient validation of the invokeinterface instruction (Hotspot, 8174962)
1534943 - CVE-2018-2634 OpenJDK: use of global credentials for HTTP/SPNEGO (JGSS, 8186600)
1534970 - CVE-2018-2637 OpenJDK: SingleEntryRegistry incorrect setup of deserialization filter (JMX, 8186998)
1535036 - CVE-2018-2633 OpenJDK: LDAPCertStore insecure handling of LDAP referrals (JNDI, 8186606)
1535350 - CVE-2018-2638 Oracle JDK: unspecified vulnerability fixed in 8u161 and 9.0.4 (Deployment)
1535351 - CVE-2018-2639 Oracle JDK: unspecified vulnerability fixed in 8u161 and 9.0.4 (Deployment)
1535352 - CVE-2018-2627 Oracle JDK: unspecified vulnerability fixed in 8u161 and 9.0.4 (Installer)
1535354 - CVE-2018-2581 Oracle JDK: unspecified vulnerability fixed in 7u171, 8u161, and 9.0.4 (JavaFX)

6. Package List:

Oracle Java for Red Hat Enterprise Linux Desktop 6:

i386:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.i686.rpm

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux HPC Node 6:

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Server 6:

i386:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.i686.rpm

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Workstation 6:

i386:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.i686.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.i686.rpm

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.1.el6_9.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.1.el6_9.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Client (v. 7):

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Compute Node (v. 7):

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Server (v. 7):

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Workstation (v. 7):

x86_64:
java-1.8.0-oracle-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-devel-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-javafx-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-jdbc-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-plugin-1.8.0.161-1jpp.2.el7.x86_64.rpm
java-1.8.0-oracle-src-1.8.0.161-1jpp.2.el7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2018-2579
https://access.redhat.com/security/cve/CVE-2018-2581
https://access.redhat.com/security/cve/CVE-2018-2582
https://access.redhat.com/security/cve/CVE-2018-2588
https://access.redhat.com/security/cve/CVE-2018-2599
https://access.redhat.com/security/cve/CVE-2018-2602
https://access.redhat.com/security/cve/CVE-2018-2603
https://access.redhat.com/security/cve/CVE-2018-2618
https://access.redhat.com/security/cve/CVE-2018-2627
https://access.redhat.com/security/cve/CVE-2018-2629
https://access.redhat.com/security/cve/CVE-2018-2633
https://access.redhat.com/security/cve/CVE-2018-2634
https://access.redhat.com/security/cve/CVE-2018-2637
https://access.redhat.com/security/cve/CVE-2018-2638
https://access.redhat.com/security/cve/CVE-2018-2639
https://access.redhat.com/security/cve/CVE-2018-2641
https://access.redhat.com/security/cve/CVE-2018-2663
https://access.redhat.com/security/cve/CVE-2018-2677
https://access.redhat.com/security/cve/CVE-2018-2678
https://access.redhat.com/security/updates/classification/#critical
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html#AppendixJAVA
http://www.oracle.com/technetwork/java/javase/8u161-relnotes-4021379.html

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2018 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFaYRenXlSAg2UNWIIRArvzAJ9F0+Cybmbyu+LUAV6y4edHBKoy9gCeI7y3
2iMzZapqS8tUsBiKKCKzz+s=
=yv5l
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC